#include <xvt.h>
#include <strings.h>
#include <checks.h>

#include "at4.h"

#define usage   "Error - usage : %s -{0|1|2}"

int main(int argc,char** argv)

{
  int             rt = -1 ;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;

  switch (r)
  {
  case 0:
    rt = at4100(argc,argv) ; break;
  case 1:
    rt = at4200(argc,argv) ; break;
  case 2:
    rt = at4300(argc,argv) ; break;
  default:
    error_box(usage, argv[0]) ; break;
  }
  return rt;
}
